<template>
    <div class="loader" ref="htSpinner">
    </div>
</template>

<script>
    export default {
        name: 'ht-spinner',
        props: {
            show: {
                type: Boolean,
                default: false
            },
            variant: {
                type: String,
                default: 'main'
            }
        },
        mounted() {
            this.setClassName(this.variant);
        },
        methods: {
            setClassName(variant) {
                this.colorProp = ` ht-spinner-${variant}`;
                this.$refs.htSpinner.className += ` ${this.colorProp}`;
            },
        },
        watch: {
            variant: function (val) {
                this.setClassName(val);
            },
            show: function (val) {
                this.$refs.htSpinner.classList.toggle('ht-spinner-show', val);
            }
        }
    };
</script>

<style scoped>

</style>
